header
Bubsy: The Woolies Strike Back
Bubsy: The Woolies Strike Back cover
Release date: 2017. October 31.
Genre: Action, Adventure, Platformer
Developer: Black Forest Games
Publisher: Accolade

Bubsy: The Woolies Strike Back System Requirements

Minimum system requirements:

CPU:
Intel Core 2 Duo@2.8GHz / AMD Athlon II X2@2.8GHz
RAM:
3 GB RAM
GPU:
Nvidia GeForce 6800, ATI X1800 XT or higher
DX:
Version 9.0
OS:
Windows XP
STO:
3 GB available space
Sound:
100% DirectX® 9.0c compatible sound card and the latest drivers

Recommended system requirements:

CPU:
Intel Core i5@2.66GHz / AMD Phenom II X4@3.0GHz
RAM:
4 GB RAM
GPU:
Nvidia GeForce GTX 660, Radeon R 200 series
DX:
Version 10
OS:
Windows 7 / 8 / 10
STO:
3 GB available space
Sound:
100% DirectX® 9.0c compatible sound card and the latest drivers
Recommended peripheral: Windows-compatible keyboard, mouse, optional controller (Xbox 360® Controller for Windows recommended)
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Similar games:
RiptaleOddworld: SoulstormMonochromaDinocideKaze and the Wild MasksGuardian
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister